curl --request GET \
--url "https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public" \
--header "Authorization: Bearer $FINI_API_KEY"
const response = await fetch("https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.FINI_API_KEY}` },
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public",
headers={"Authorization": f"Bearer {os.environ['FINI_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
{
"id": "22222222-2222-4222-8222-222222222222",
"companyId": "33333333-3333-4333-8333-333333333333",
"botId": "11111111-1111-4111-8111-111111111111",
"checkType": "banned_terms",
"config": {
"terms": [
"guaranteed approval"
]
},
"enabled": true,
"sources": [
"widget"
],
"createdAt": "2026-10-01T08:00:00.000Z",
"updatedAt": "2026-10-01T08:00:00.000Z"
}
Guardrails
Get guardrail policy
Get guardrail policy through the workspace-scoped public API.
GET
/
v2
/
guardrail-policies
/
{id}
/
public
curl --request GET \
--url "https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public" \
--header "Authorization: Bearer $FINI_API_KEY"
const response = await fetch("https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.FINI_API_KEY}` },
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public",
headers={"Authorization": f"Bearer {os.environ['FINI_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
{
"id": "22222222-2222-4222-8222-222222222222",
"companyId": "33333333-3333-4333-8333-333333333333",
"botId": "11111111-1111-4111-8111-111111111111",
"checkType": "banned_terms",
"config": {
"terms": [
"guaranteed approval"
]
},
"enabled": true,
"sources": [
"widget"
],
"createdAt": "2026-10-01T08:00:00.000Z",
"updatedAt": "2026-10-01T08:00:00.000Z"
}
Returns one policy belonging to the authenticated workspace.
See the Guardrails overview for shared schemas and runtime limitations.
Response
Check-specific definition. See the configuration schemas.
curl --request GET \
--url "https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public" \
--header "Authorization: Bearer $FINI_API_KEY"
const response = await fetch("https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.FINI_API_KEY}` },
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/guardrail-policies/22222222-2222-4222-8222-222222222222/public",
headers={"Authorization": f"Bearer {os.environ['FINI_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
{
"id": "22222222-2222-4222-8222-222222222222",
"companyId": "33333333-3333-4333-8333-333333333333",
"botId": "11111111-1111-4111-8111-111111111111",
"checkType": "banned_terms",
"config": {
"terms": [
"guaranteed approval"
]
},
"enabled": true,
"sources": [
"widget"
],
"createdAt": "2026-10-01T08:00:00.000Z",
"updatedAt": "2026-10-01T08:00:00.000Z"
}
Was this page helpful?

